
    <!DOCTYPE html>
    <html lang="fr">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Click on the task to execute</title>
        <script src="script.js"></script>
        <style>
            .checkbox-column {
                float: left;
                width: 49%;
                border: 1px solid #ccc; /* Bordure de la colonne */
                box-sizing: border-box; /* Pour inclure la bordure dans la largeur de la colonne */
                padding: 10px; /* Espacement autour des cases à cocher */
            }
            .task-status {
                display: inline-block;
                width: 10px; /* Largeur du point */
                height: 10px; /* Hauteur du point */
                background-color: red; /* Couleur initiale */
                border-radius: 50%; /* Pour obtenir une forme circulaire */
                margin-left: 5px; /* Espacement entre le point et le texte */
            }
            .task-status.success {
                background-color: green; /* Couleur verte pour indiquer le succès */
            }


        </style>
    </head>
    <body>
        <h1 class="title">Analysisbackend</h1>
        <h2>Click on the task to execute :</h2>
        <ul>
        
            <li><a href="/health">health</a></li>
        
            <li><a href="/analog_scan">analog_scan</a></li>
        
        </ul>
        

        <form id="queueForm">
            
             <input type="checkbox" id="analysisBackend_1" name="queue" value="analysisBackend_1">
    <label for="analysisBackend_1">analysisBackend 1<span class="task-status"></span></label><br>
   <input type="checkbox" id="analysisBackend_2" name="queue" value="analysisBackend_2">
    <label for="analysisBackend_2">analysisBackend 2<span class="task-status"></span></label><br>
   <input type="checkbox" id="analysisBackend_3" name="queue" value="analysisBackend_3">
    <label for="analysisBackend_3">analysisBackend 3<span class="task-status"></span></label><br>
  
        </form>
        <h3>Progress Bar On Going</h3>
        <div id="progress"></div>
        <script>
          function executeTask(taskLink) {
              const checkedBoxes = document.querySelectorAll('input[name="queue"]:checked');
              if (checkedBoxes.length === 0) {
                  alert("Please select a queue before executing the task.");
                  return;
              }

              let taskURL = taskLink.getAttribute('href');
              let taskName = taskURL.substring(taskURL.lastIndexOf('/') + 1); // Extract task name from URL

              var checkboxValues = Array.from(checkedBoxes).map(box => box.value.replace(/_/g, '/'));

              // Sort checkbox values by length
              checkboxValues.sort((a, b) => a.length - b.length);

              current_url = window.location.href

              if (checkboxValues.some(value => value.startsWith('all'))) {
                  newUrl = current_url + taskName;
              } else {
                  newUrl = current_url + checkboxValues[0] + '/' + taskName; // Select the shortest value
              }

              console.log(newUrl);
              window.location.href = newUrl;
          }


    const taskLinks = document.querySelectorAll('a');
    taskLinks.forEach(link => {
        link.addEventListener('click', function(event) {
            event.preventDefault();
            executeTask(this);
        });
    }); 

    document.addEventListener("DOMContentLoaded", function() {
    const checkboxes = document.querySelectorAll('input[name="queue"]');
    checkboxes.forEach(checkbox => {
        checkbox.addEventListener('change', function() {
            const value = this.value;
            if (value === 'all') {
                checkboxes.forEach(box => {
                    if (box !== this) {
                        box.checked = this.checked;
                    }
                });
            } else {
                if (this.checked) {
                    checkboxes.forEach(box => {
                        if (box !== this && box.value.startsWith(value)) {
                            box.checked = true;
                        }
                    });
                } else {
                    checkboxes.forEach(box => {
                        if (box !== this && box.value.startsWith(value)) {
                            box.checked = false;
                        }
                    });
                }
            }
        });
    });
});

      </script>          
    </body>
    </html>
    